Search Companies

Quota limitation

Results received from this endpoint count towards the Companies look-alikes quota

Search for companies based on the provided filters.

POST
/v2/companies/search

Authorization

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired

Search query

filtersRequiredobject

Filters - to apply to the search. The more filters uses, the more specific the search will be. If no results are found, try to remove some filters.

limitinteger

Limit - Is the maximum amount of results per page, must be between 1 and 200

Default: 10Minimum: 1Maximum: 200
pageTokenstring

PageToken - token to retrieve the next page of results. When provided, the filters originally used for the first page are reused and any changes to filters are ignored.

curl -X POST "https://api.surfe.com/v2/companies/search" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "filters": {
      "countries": [
        "fr"
      ],
      "departmentSizes": [
        {
          "department": "Engineering",
          "from": 10,
          "to": 100
        }
      ],
      "domains": [
        "surfe.com"
      ],
      "domainsExcluded": [
        "surfshop.fr"
      ],
      "employeeCount": {
        "from": 1,
        "to": 999999999999999
      },
      "industries": [
        "CRM",
        "Software",
        "SaaS",
        "Internet"
      ],
      "industriesExcluded": [
        "Retail",
        "E-commerce"
      ],
      "keywords": [
        "AI",
        "Machine Learning",
        "Blockchain"
      ],
      "keywordsExcluded": [
        "Google"
      ],
      "localities": [
        {
          "countries": [
            "string"
          ],
          "freeTexts": [
            "string"
          ],
          "isPrimary": true,
          "states": [
            {
              "code": "string",
              "country": "string"
            }
          ],
          "zipCodes": [
            {
              "countryCode": "string",
              "zipCode": "string"
            }
          ]
        }
      ],
      "naicsCodes": [
        561312
      ],
      "naicsCodesExcluded": [
        111
      ],
      "names": [
        "Surfe",
        "Leadjet"
      ],
      "revenue": {
        "from": 1,
        "to": 999999999999999
      },
      "technologies": [
        "MySQL",
        "RSS"
      ],
      "technologiesExcluded": [
        "Marketo",
        "Pardot"
      ],
      "technologyCategories": [
        "Font scripts"
      ],
      "technologyCategoriesExcluded": [
        "Referral marketing"
      ],
      "yearFounded": {
        "from": 1,
        "to": 9999
      }
    },
    "limit": 10,
    "pageToken": ""
  }'

List of found companies

{
  "companies": [
    {
      "countries": [
        "fr"
      ],
      "domain": "surfe.com",
      "employeeCount": 100,
      "industries": [
        "Software",
        "Technology"
      ],
      "naicsIndustries": [
        {
          "code": 0,
          "name": "string",
          "rank": 0
        }
      ],
      "name": "Surfe",
      "revenue": "10-50M"
    }
  ],
  "companyDomains": [
    "surfe.com"
  ],
  "nextPageToken": ""
}